Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2161474 - ykocli does not work with multiple yubikeys installed
Summary: ykocli does not work with multiple yubikeys installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ykocli
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Gerald Cox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-01-17 04:02 UTC by Dennis Gilmore
Modified: 2023-01-31 01:57 UTC (History)
1 user (show)

Fixed In Version: ykocli-1.1.1-1.fc38 ykocli-1.3.1-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-17 16:00:53 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Dennis Gilmore 2023-01-17 04:02:10 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ykocli-1.0.2-1.fc38

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

$ ykocli 
Error: Multiple YubiKeys detected. Use --device SERIAL to specify which one to use.

       _          ____ _     ___ 
 _   _| | _____  / ___| |   |_ _|
| | | | |/ / _ \| |   | |    | | 
| |_| |   < (_) | |___| |___ | | 
 \__, |_|\_\___/ \____|_____|___|
 |___/                           
YubiKey 5C NFC (5.4.3) [OTP+FIDO+CCID] Serial: XXXXXX
YubiKey Standard (2.5.1) [OTP]
No matching entry found on YubiKey
You searched for ====> 
This script will now exit.

$ ykocli --device XXXXXX
Usage: ykman oath accounts code [OPTIONS] [QUERY]
Try 'ykman oath accounts code -h' for help.

Error: No such option: --device

       _          ____ _     ___ 
 _   _| | _____  / ___| |   |_ _|
| | | | |/ / _ \| |   | |    | | 
| |_| |   < (_) | |___| |___ | | 
 \__, |_|\_\___/ \____|_____|___|
 |___/                           
YubiKey 5C NFC (5.4.3) [OTP+FIDO+CCID] Serial: 19318408
YubiKey Standard (2.5.1) [OTP]
No matching entry found on YubiKey
You searched for ====> --device
This script will now exit.

Expected results:
Able to get my otp password

Additional info:
I am able to get it to work by removing the yubikey nano.

Comment 1 Fedora Update System 2023-01-17 15:57:22 UTC
FEDORA-2023-8cd4118d8c has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8cd4118d8c

Comment 2 Fedora Update System 2023-01-17 16:00:53 UTC
FEDORA-2023-8cd4118d8c has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-01-17 16:01:01 UTC
FEDORA-2023-184eed7173 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-184eed7173

Comment 4 Gerald Cox 2023-01-17 16:05:26 UTC
Hey Dennis,

I've made the changes and it should work for you now.  I've tested with 3 keys at the same time.  

Please LMK if you have issues.  Also, if you notice anything
quirky, spelling errors, formatting issues, etc. I would appreciate if you'd LMK.

Thanks again for testing this out and giving feedback.  I really appreciate it.

Comment 5 Fedora Update System 2023-01-18 02:36:55 UTC
FEDORA-2023-184eed7173 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-184eed7173`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-184eed7173

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-01-25 03:18:08 UTC
FEDORA-2023-208b0260aa has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-208b0260aa`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-208b0260aa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-01-27 17:23:16 UTC
FEDORA-2023-cdf5d80cbb has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-cdf5d80cbb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-cdf5d80cbb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-01-31 01:57:00 UTC
FEDORA-2023-cdf5d80cbb has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.